/*********************************************************************************************************                                               
*                                     MCU ACH118X driver library
*                             COPYRIGHT(c) 2019 Amped RF Technology (ART)
*                                        All Rights Reserved
*
* File    : ach118x_it.h
* Version : V1.0.0
* Brief   : Vector headers - weakly defined instantiations in startup_ach11x.s
**********************************************************************************************************/

#ifndef __ACH118X_IT_H
#define __ACH118X_IT_H

void NMI_Handler(void);
void HardFault_Handler(void);
void MemManage_Handler(void);
void BusFault_Handler(void);
void UsageFault_Handler(void);
void SVC_Handler(void);
void DebugMon_Handler(void);
void PendSV_Handler(void);
void SysTick_Handler(void);

// Device Handlers
void IGPIO_IRQHandler(void);
void SPI0_IRQHandler(void);
void SPI1_IRQHandler(void);
void SPI2_IRQHandler(void);
void I2S0_IRQHandler(void);
void UART0_IRQHandler(void);
void UART1_IRQHandler(void);
void UART2_IRQHandler(void);
void I2S1_IRQHandler(void);
void I2C_IRQHandler(void);
void TIM0_IRQHandler(void);
void GPIO_IRQHandler(void);
void WDT_IRQHandler(void);
void ADC0_IRQHandler(void);
void ADC1_IRQHandler(void);
void AES_IRQHandler(void);
void DMA_IRQHandler(void);

#endif // __ACH118X_IT_H
/************************ (C) COPYRIGHT ART *****END OF FILE****/
